#ifndef SCENE_H
#define SCENE_H

#include <QtGui>

class Scene : public QGraphicsScene
{
public:
    Scene();

    void initPoints();
    QPointF top_left_1;
    QPointF top_left_2;
    QPointF top_right_1;
    QPointF top_right_2;
    QPointF bottom_right_1;
    QPointF bottom_right_2;
    QPointF bottom_left_1;
    QPointF bottom_left_2;

    QGraphicsPolygonItem * leftSide;
    QGraphicsPolygonItem * topSide;
    QGraphicsPolygonItem * rightSide;
    QGraphicsPolygonItem * bottomSide;

    void createLeftSide();
    void createTopSide();
    void createRightSide();
    void createBottomSide();

    QGraphicsItem * itemUnderMouse;
    QPointF lastMousePos;

protected:
    void mousePressEvent ( QGraphicsSceneMouseEvent * mouseEvent );
    void mouseMoveEvent ( QGraphicsSceneMouseEvent * mouseEvent );

};

#endif // SCENE_H
